---
search:
  tags:
    - V1
    - POST
seo:
  description: >-
    Create a new prompt. Reference for the POST /v1/projects/{projectId}/prompts
    endpoint in the Judgeval API.
sidebar:
  label: Insert prompt
  badge: POST
title: Insert prompt
type: openapi-operation
---
Create a new prompt

`POST /v1/projects/{projectId}/prompts`

**Request body** (`application/json`, required)

- `name` (string, required)
- `prompt` (string, required)
- `tags` (string[])

Request body example:

```json
{
  "name": "string",
  "prompt": "string",
  "tags": [
    "string"
  ]
}
```

**Responses**

- `200` — Response for status 200
- `400` — Response for status 400

Response example, 200:

```json
{
  "commit_id": "string",
  "parent_commit_id": "string",
  "created_at": "string"
}
```
